import {runTest as runRule34XXX} from "./test/rule34xxx";

var url: URL;

try {
    url = new URL(process.argv[2]);
} catch ( err ) {
    console.error(err);
    process.exit(99);
}

let pageCount: number = 30;
if ( process.argv.length >= 4 ) {
    if ( !isNaN((process.argv[3] as any)) ) {
        pageCount = Number.parseInt(process.argv[3]);
    }
}

main();

async function main() {
    const results = await runRule34XXX(process.argv[2], pageCount, true);
    
    process.stdout.write(String(results));
    process.stdout.end();
    process.exit(0);
}

