// This is the test file for the library, different tests are ran in here.
import { InkBunny } from "../module/inkbunny";
import {Post} from "../type/generic";
import * as fs from "fs/promises";


export async function runTest(startingPage: string = `https://inkbunny.net/gallery/CyanCapsule/1/7413c06e38`, pages: number = 10) {

    const bunny = new InkBunny();
    bunny.verbose = true;

    let postLinks: Array<String> = [];
    await bunny.getPostsFromPage(`https://inkbunny.net/gallery/CyanCapsule/1/7413c06e38`)
    .then( res => {
        postLinks = res;
    })
    .catch( err => {
        console.error(err);
    });

    console.log(postLinks);

}